Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
red_team_spec = client.dataframer.red_team_specs.retrieve(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(red_team_spec.id)curl https://df-api.dataframer.ai/api/dataframer/red-team-specs/$SPEC_ID/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"domain_description": "<string>",
"app_description": "<string>",
"concerns": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"created_by_email": "<string>"
}{
"error": "Invalid spec_id format: \"invalid\" is not a valid UUID"
}{
"error": "Red team spec not found"
}Red Teaming
Get red team spec
Get a specific red team spec
GET
/
api
/
dataframer
/
red-team-specs
/
{spec_id}
/
Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
red_team_spec = client.dataframer.red_team_specs.retrieve(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(red_team_spec.id)curl https://df-api.dataframer.ai/api/dataframer/red-team-specs/$SPEC_ID/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"domain_description": "<string>",
"app_description": "<string>",
"concerns": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"created_by_email": "<string>"
}{
"error": "Invalid spec_id format: \"invalid\" is not a valid UUID"
}{
"error": "Red team spec not found"
}Authorizations
API Key authentication. Format: "Bearer YOUR_API_KEY"
Path Parameters
UUID of the red team spec
Response
Red team spec details
Unique identifier for the red team spec
Name of the red team spec (auto-converted to snake_case)
Description of the domain or industry the application operates in
Description of the application being tested, including its purpose and functionality
Specific security concerns or behaviors to focus on during red teaming
Timestamp when the spec was created
ID of the user who created this spec
Email of the user who created this spec

